package me.qwq.doghouse.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum MailTaskTypeEnum implements IQueryableEnum {

    REPLY_SUBSCRIPTION(0, "回复订阅通知"),
    ADMIN_NOTIFICATION(1, "管理员通知");

    @EnumValue
    private final int status;
    private final String note;

    MailTaskTypeEnum(int status, String note) {
        this.status = status;
        this.note = note;
    }

    @Override
    public int getStatus() {
        return status;
    }

    @Override
    public String getNote() {
        return note;
    }
}
